{% extends '@ajax-layout/layout.twig' %}

{% block body %}
	<div class="popupExport">
	
    	<div class="modal_attention" style="display:none">
        	{{ 'Au moins 1 champ doit être dans la colonne à exporter.' | trad }}
    	</div>

    	<form method="post" name="filtre_Export" id="filtre_Export">
    		{{ multiSelect('export', 'Liste champs à exporter' | trad , coloneExport, post, tabObli, 'popupExport') }}
    		<div class="row">
        		{{ inputSwitch('Voulez-vous prendre en compte les filtres ?' | trad, 'okFilter', true) }}
    		</div>
    	</form>
	</div>
    <div class="modal-footer">
			<button class="principal" onclick="exportDoc('{{ pathExport }}','{{ path('Ajax.Erreur.popupInformation') }}', '{{ path('Ajax.Outil.appelAsync') }}');">{{ 'Export' | trad }}</button>
        <button class="secondaire" onclick="desactivePopup();">{{'Annuler' | trad }}</button>
    </div>
    <script>
		$('#modal-content').addClass('modal_large').removeClass('modal_small');

		function exportDoc(path, pathInformation, pathPopupCreatFic)
		{
			{% if modeDebug %}
    			var arrayExport = $('#filtre_Export, #{{ formFilter }}').serialize();
    			$.ajax({
    			  	dataType : 'html',
        			url: path,
        			data: arrayExport,
        			type: "POST",
        			success: function(result){
            			desactiveLoader();
        			}
        		});
        		
        		return '';
        	{% endif %}
			
			if($("#export_listePost_SyncLists :input").length == 0)
			{
				$('.modal_attention').show();
				return;
			}
			$('.modal_attention').hide();
			activeLoader();
			var arrayExport = $('#filtre_Export, #{{ formFilter }}').serialize();

			activePopupInformation(pathInformation, "{{'Informations' | trad }}", "", "", "", "", "",'{{"Votre document est en cours de téléchargement, vous allez recevoir un mail contenant votre document." | trad}}' );
			arrayExport = arrayExport+'&exportPathAction='+path;

			// arrayExport.push({name : 'exportPathAction', value :"khjkklh"}); 

			$.ajax({
				url: pathPopupCreatFic,
				type: 'POST',
				dataType : 'JSON', 
				data: arrayExport,
				success: function (data) {}
			});	
		}
    </script>
{% endblock %}